Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class InputTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
                  |
                  +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.MessageFieldTag
                        |
                        +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.InputTag

Direct Known Subclasses:
  PasswordTag, TextTag

public abstract class InputTag
extends MessageFieldTag

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `maxlength`
`protected java.lang.String` | `size`
`protected java.lang.String` | `type`

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.MessageFieldTag
`formTag, message, style`

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
`htmlAttributes, name, retainValue, retainValueBool, validatedValues, value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`InputTag()`

Method Summary
`java.lang.String` | `convertQuotes(java.lang.String text)`
`int` | `doStartTag()`
`java.lang.String` | `getMaxlength()`
`java.lang.String` | `getSize()`
`void` | `release()`
`void` | `setMaxlength(java.lang.String maxlength)`
`void` | `setSize(java.lang.String size)`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.MessageFieldTag
`buildMessage, getFormTag, getMessage, getStyle, setMessage, setStyle`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
`addIntoPageContext, doEndTag, getDefaultRetainValue, getHtmlAttributes, getHttpServletRequest, getName, getRetainValue, getRetainValueBool, getValue, setHtmlAttributes, setName, setRetainValue, setValue`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected java.lang.String type

### size

    protected java.lang.String size

### maxlength

    protected java.lang.String maxlength

Constructor Detail

### InputTag

    public InputTag()

Method Detail

### release

    public void release()

  Overrides:
    release in class MessageFieldTag

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getSize

    public java.lang.String getSize()

### setSize

    public void setSize(java.lang.String size)

### getMaxlength

    public java.lang.String getMaxlength()

### setMaxlength

    public void setMaxlength(java.lang.String maxlength)

### convertQuotes

    public java.lang.String convertQuotes(java.lang.String text)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved